<template>
  <input
    v-model="value"
    :id="this.id"
    :type="this.type"
    class="form-control text-start"
    :placeholder="this.placeholder"
  />
</template>

<script>
export default {
  name: "InputBase",
  props: ["modelValue", "id", "type", "placeholder"],
  emits: ["update:modelValue"],
  computed: {
    value: {
      get() {
        return this.modelValue;
      },
      set(value) {
        this.$emit("update:modelValue", value);
      },
    },
  },
};
</script>
